%define perlname Cstools

Name: perl-%{perlname}
Version: 3.5
Release: 2
Summary: Cstools perl module and cstocs charset convertor

Group: System Environment/Libraries
License: distributable
URL: http://www.cpan.org/
Vendor: Trific soft.

Source0: %{perlname}-%{version}.tar.gz

BuildRoot: %{_builddir}/%{name}-%{version}-%{release}.%{_arch}

BuildRequires: perl

%if "%{rhel}" == "6"
BuildRequires: perl-ExtUtils-MakeMaker
%define perl_sitelib %perl_privlib
%define perl_sitearch %perl_archlib
%endif

%description
Perl module providing conversions of charset encodings for
the Czech language.

%prep
%setup -n %{perlname}-%{version}

%build
perl Makefile.PL
%{__cp} -a Makefile Makefile.orig 
%{__sed} -e 's:^\(INSTALL[A-Z0-9_]*\(BIN\|ARCH\|SCRIPT\|LIB\|MAN[1-9]DIR\)\) = :\1 = '"$RPM_BUILD_ROOT"':' \
   -e 's%/usr/local%/usr%g' \
   Makefile.orig > Makefile
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__make} install
find $RPM_BUILD_ROOT -name perllocal.pod -print | xargs %{__rm} -f
find $RPM_BUILD_ROOT/%{_libdir}/perl5 -type d | tac | xargs rmdir --ignore-fail-on-non-empty

%files
%defattr(-,root,root)
%doc README Changes MANIFEST
%doc %{_mandir}/man3/Cz::Cstocs.3pm*
%doc %{_mandir}/man3/Cz::Sort.3pm*
%doc %{_mandir}/man3/Cz::Time.3pm*
%doc %{_mandir}/man1/cssort.1*
%doc %{_mandir}/man1/dbfcstocs.1*
%doc %{_mandir}/man1/cstocs.1*

%{_bindir}/cssort
%{_bindir}/cstocs
%{_bindir}/dbfcstocs

%{perl_sitearch}/auto/Cz/.packlist
%dir %{perl_sitearch}/auto/Cz
%dir %{perl_sitelib}/Cz
%dir %{perl_sitelib}/Cz/Cstocs
%dir %{perl_sitelib}/Cz/Cstocs/enc
%{perl_sitelib}/Cz/Cstocs.pm
%{perl_sitelib}/Cz/Sort.pm
%{perl_sitelib}/Cz/Time.pm
%{perl_sitelib}/Cz/Cstocs/Getopt.pm
%{perl_sitelib}/Cz/Cstocs/enc/ascii.enc
%{perl_sitelib}/Cz/Cstocs/enc/kam.enc
%{perl_sitelib}/Cz/Cstocs/enc/koi8.enc
%{perl_sitelib}/Cz/Cstocs/enc/alias
%{perl_sitelib}/Cz/Cstocs/enc/mac.enc
%{perl_sitelib}/Cz/Cstocs/enc/tex.enc
%{perl_sitelib}/Cz/Cstocs/enc/accent
%{perl_sitelib}/Cz/Cstocs/enc/cork.enc
%{perl_sitelib}/Cz/Cstocs/enc/1250.enc
%{perl_sitelib}/Cz/Cstocs/enc/1252.enc
%{perl_sitelib}/Cz/Cstocs/enc/vga.enc
%{perl_sitelib}/Cz/Cstocs/enc/pc2.enc
%{perl_sitelib}/Cz/Cstocs/enc/pc2a.enc
%{perl_sitelib}/Cz/Cstocs/enc/il1.enc
%{perl_sitelib}/Cz/Cstocs/enc/il2.enc
%{perl_sitelib}/Cz/Cstocs/enc/utf8.enc
%{perl_sitelib}/Cz/Cstocs/enc/macce.enc

%changelog
* Fri Jan 04 2013 Pavel Lisy <pali@tmapy.cz> 3.5-2
- .spec clean

* Wed Nov 21 2012 Pavel Lisy <pali@fedoraproject.org> 3.5-1
- first release

